Cyberduck Mountain Duck CLI

#5995 new enhancement

List folders first, files after by default

Reported by: klonos Owned by: yla
Priority: low Milestone:
Component: interface Version: Nightly Build
Severity: normal Keywords:
Cc: klonos@… Architecture: Intel
Platform: Windows 7

Description

Issue summary is self explanatory.

Change History (8)

comment:1 Changed on Jun 8, 2011 at 5:43:00 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Click the Filename column to sort alphabetically and then the Kind column to sort by file type.

comment:2 Changed on Jun 8, 2011 at 4:26:02 PM by klonos

  • Cc klonos@… added
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from Add option to list folders first, files after (still, both alphabetically though) to List folders first, files after by default (in the Windows version at least)

...right. Then I am changing this issue's scope. The new goal is to provide a default listing that users are used to in each operating system so that the program doesn't seem that "alien" on first use. How to achieve this wasn't obvious to me at all either (and I consider myself tech-savvy).

comment:3 Changed on Jun 9, 2011 at 9:17:30 AM by dkocher

  • Milestone 4.1 deleted

Making this the default is bad because it essentially breaks selecting files and folders by typing the first few letters as the list is no more lexicographically sorted.

comment:4 Changed on Jun 13, 2011 at 7:39:43 AM by dkocher

  • Priority changed from normal to low
  • Summary changed from List folders first, files after by default (in the Windows version at least) to List folders first, files after by default

We might want to introduce a preference.

comment:5 Changed on Jul 24, 2011 at 5:21:51 AM by bb10

It is actually lexicographically sorted, but in a way that folders come first. So if you type 'e' a few times it will first highlight the folders that start with 'e' and then it jumps to the files that start with 'e'. This is also how explorer behaves.

comment:6 Changed on Oct 10, 2012 at 7:15:39 AM by pandronic

Unfortunately, when sorting by "Kind", you still can't jump to a file or folder by typing its first letters - so, if you are a Windows user, you have to choose between seeing the files and folders in the order you're used to, or being able to find them quickly.

I see that the last post here is 15 months old. Any plans to fix this soon?

It's a small feature, but it's a really big deal for me and I imagine for a lot of my fellow Windows users. Thanks.

comment:7 Changed on Oct 8, 2013 at 9:29:23 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from reopened to new

comment:8 in reply to: ↑ description Changed on Jul 20, 2015 at 8:39:06 AM by SirWill

+1 from me

Note: See TracTickets for help on using tickets.
swiss made software